#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: ixset-typed
version: 0.4
id: ixset-typed-0.4-3Nb01EY8AjyH21NgeVRJpQ
key: ixset-typed-0.4-3Nb01EY8AjyH21NgeVRJpQ
license: BSD-3-Clause
maintainer: Andres Löh <andres@well-typed.com>
author: Andres Löh, Happstack team, HAppS LLC
synopsis: Efficient relational queries on Haskell sets.
description:
    This Haskell package provides a data structure of sets that are indexed
    by potentially multiple indices.
    .
    Sets can be created, modified, and queried in various ways.
    .
    The package is a variant of the <https://hackage.haskell.org/package/ixset ixset>
    package. The ixset package makes use
    of run-time type information to find a suitable index on a query, resulting
    in possible run-time errors when no suitable index exists. In ixset-typed,
    the types of all indices available or tracked in the type system.
    Thus, ixset-typed should be safer to use than ixset, but in turn requires
    more GHC extensions.
    .
    At the moment, the two packages are relatively compatible. As a consequence
    of the more precise types, a few manual tweaks are necessary when switching
    from one to the other, but the interface is mostly the same.
category: Data Structures
abi: b8aecb2009b11d4fe554031e525c32f7
exposed: True
exposed-modules:
    Data.IxSet.Typed Data.IxSet.Typed.Ix
import-dirs: /usr/lib/ghc-8.4.2/site-local/ixset-typed-0.4
library-dirs: /usr/lib/ghc-8.4.2/site-local/ixset-typed-0.4
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.4.2/ixset-typed-0.4
hs-libraries: HSixset-typed-0.4-3Nb01EY8AjyH21NgeVRJpQ
depends:
    base-4.11.1.0 containers-0.5.11.0 deepseq-1.4.3.0
    safecopy-0.9.4.1-29Arczh78ZlDPxtzP5qXYG
    syb-0.7-2jW43lwzJV5e7EQvU8PxV template-haskell-2.13.0.0
abi-depends: base-4.11.1.0=ecd125f03c784a67b61c9a8f6dd222e4
             containers-0.5.11.0=f8334bacfaf0e925ca7b24fb26fb2e66
             deepseq-1.4.3.0=521dff49867cc7581bb7066827d3f18e
             safecopy-0.9.4.1-29Arczh78ZlDPxtzP5qXYG=344ffd99cf28d12500d67fd6c717fb39
             syb-0.7-2jW43lwzJV5e7EQvU8PxV=8c8a6a5165e3238217c6cf4f5b6db1bc
             template-haskell-2.13.0.0=b25d144eee230069f091d0d8982b331b
haddock-interfaces: /usr/share/doc/haskell-ixset-typed/html/ixset-typed.haddock
haddock-html: /usr/share/doc/haskell-ixset-typed/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

